PKCS11H_SLOTEVENT_METHOD
pkcs11-helper core interface

Slotevent mode selection. More...

## Macros

#define | PKCS11H_SLOTEVENT_METHOD_AUTO 0
#define | PKCS11H_SLOTEVENT_METHOD_TRIGGER 1
#define | PKCS11H_SLOTEVENT_METHOD_POLL 2
#define | PKCS11H_SLOTEVENT_METHOD_FETCH 3

## Detailed Description

Slotevent mode selection.

## Macro Definition Documentation

## PKCS11H_SLOTEVENT_METHOD_AUTO

#define PKCS11H_SLOTEVENT_METHOD_AUTO 0

Auto select by provider information.

Examples
  test-certificate.c, and test-slotevent.c.

## PKCS11H_SLOTEVENT_METHOD_FETCH

#define PKCS11H_SLOTEVENT_METHOD_FETCH 3

Force fetch.

Examples
  test-slotevent.c.

## PKCS11H_SLOTEVENT_METHOD_POLL

#define PKCS11H_SLOTEVENT_METHOD_POLL 2

Force poll.

Examples
  test-basic.c, and test-slotevent.c.

## PKCS11H_SLOTEVENT_METHOD_TRIGGER

#define PKCS11H_SLOTEVENT_METHOD_TRIGGER 1

Force trigger.

Examples
  test-slotevent.c.

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |